Fetch an Organization's Monitors

GET /api/0/organizations/{organization_id_or_slug}/detectors/

List an Organization's Monitors

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

Query Parameters:

project (array(undefined))

The IDs or slugs of projects to filter by. Project slugs are unique within each organization. Omit this parameter to include all accessible projects. -1 is also accepted to include all accessible projects. For example, the following are valid parameters:

  • /?project=1234&project=56789
  • /?project=android&project=javascript-react
  • /?project=-1
query (string)

An optional search query for filtering monitors.

Available fields are:

  • name
  • type: e.g. error, metric_issue, issue_stream
  • assignee: email, username, #team, me, none
sortBy (string)

The property to sort results by. If not specified, the results are sorted by id.

Available fields are:

  • name
  • id
  • type
  • connectedWorkflows
  • latestGroup
  • openIssues

Prefix with - to sort in descending order.

id (array(integer))

The ID of the monitor you'd like to query.

type (array(string))

Filter by monitor type(s). Can be specified multiple times.

enabled (boolean)

Filter by whether monitors are enabled.

per_page (integer)

Limit the number of rows to return in the result. Default and maximum allowed is 100.

cursor (string)

A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.

Scopes

<auth_token> requires one of the following scopes:
  • alerts:read
  • org:admin
  • org:read
  • org:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/detectors/ \
 -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied
[ { "id": "123", "projectId": "1", "name": "Error Monitor", "description": null, "type": "error", "workflowIds": [ "12345" ], "owner": null, "createdBy": null, "dateCreated": "2025-03-12T11:15:50.764865Z", "dateUpdated": "2025-06-17T14:04:02.485354Z", "dataSources": null, "conditionGroup": null, "config": {}, "enabled": true, "latestGroup": { "id": "123456789", "title": "This is an example Python exception", "culprit": "/api/0/test/example/", "shortId": "SENTRY-ABC12", "level": "info", "status": "unresolved", "substatus": "escalating", "platform": "python", "project": { "id": "1", "name": "Example", "slug": "sentry", "platform": "python" }, "type": "default", "issueType": "error", "issueCategory": "error", "metadata": { "title": "This is an example Python exception", "sdk": { "name": "sentry.python.django", "name_normalized": "sentry.python" }, "severity": 0, "severity_reason": "log_level_info", "initial_priority": 25 }, "numComments": 0, "firstSeen": "2026-01-08T21:00:59.737468Z", "lastSeen": "2026-01-08T21:23:45.723716Z" } }, { "id": "234567891", "projectId": "1", "name": "[us] Example", "description": null, "type": "uptime_domain_failure", "workflowIds": [], "owner": { "type": "team", "id": "1234", "name": "abc" }, "createdBy": null, "dateCreated": "2025-04-21T21:56:32.445528Z", "dateUpdated": "2025-10-23T00:07:24.809466Z", "dataSources": [ { "id": "271218", "organizationId": "1", "type": "uptime_subscription", "sourceId": "267409", "queryObj": { "url": "https://example.com", "method": "POST", "body": "{\n \"level\": \"info\",\n \"message\": \"Test-Event\",\n \"platform\": \"javascript\"\n}", "headers": [ [ "content-type", "application/json" ], [ "user-agent", "Sentry Test" ] ], "intervalSeconds": 60, "timeoutMs": 5000, "traceSampling": false } } ], "conditionGroup": { "id": "56789", "organizationId": "1", "logicType": "any", "conditions": [ { "id": "123456", "type": "eq", "comparison": "failure", "conditionResult": 75 }, { "id": "234567", "type": "eq", "comparison": "success", "conditionResult": 0 } ], "actions": [] }, "config": { "mode": 1, "environment": "us", "downtimeThreshold": 3, "recoveryThreshold": 1 }, "enabled": true, "latestGroup": null }, { "id": "1234567", "projectId": "123", "name": "Test Alert", "description": null, "type": "metric_issue", "workflowIds": [ "1234567" ], "owner": { "type": "user", "id": "12345", "name": "jane@example.com", "email": "jane@example.com" }, "createdBy": "12345", "dateCreated": "2025-04-28T22:46:12.469771Z", "dateUpdated": "2025-07-29T20:57:06.680844Z", "dataSources": [ { "id": "56789", "organizationId": "1", "type": "snuba_query_subscription", "sourceId": "45678", "queryObj": { "id": "34567", "status": 0, "subscription": "12/3456789", "snubaQuery": { "id": "56789", "dataset": "events_analytics_platform", "query": "", "aggregate": "avg(span.duration)", "timeWindow": 14400, "environment": null, "eventTypes": [ "trace_item_span" ], "extrapolationMode": "unknown" } } } ], "conditionGroup": { "id": "12345", "organizationId": "1", "logicType": "any", "conditions": [ { "id": "456789", "type": "gt", "comparison": 1600, "conditionResult": 75 }, { "id": "345678", "type": "lte", "comparison": 1600, "conditionResult": 0 } ], "actions": [] }, "config": { "detectionType": "static", "comparisonDelta": null }, "enabled": true, "latestGroup": null } ]
Was this helpful?